/*
	Ev.java
	forrs : Java-start! c. knyv
	Az osztly sajt magt pldnyostja, sszetettebb algoritmusok
*/
public class Ev {

	private int v;

	public Ev(int v_) {
		v = v_;
	}

	public int getv() {
		return v;
	}

	public boolean isSzkv() {
		return v % 4 == 0 && !(v % 100 == 0) || v % 400 == 0;
	}

	/*
		Hsvt kiszmt algoritmus 1800-2099 kztt
		d s e segdvltozk, hsvt napja a tavaszi napjegyenlsg utni els holdtlte utni vasrnap
		szmts: mrc 1. + d + e + 22. nap
		kt specilis esetben kln rtkkel tr vissza
	*/
	public int getHsvt() {
		int d = (19 * (v % 19) + 24) % 30;
		int e= (2 * (v % 4) + 4 * (v % 7) + 6 * d + 5) % 7;

		if (e == 6 && d == 28 && v % 19 > 10) {
			return 49;
		} else if (e == 6 && d == 29) {
			return 50;
		} else {
			return 22+d+e;
		}
	}

	public static void main(String[] args) {
		Ev pldav = new Ev(2005);
		System.out.print("A "+pldav.getv() + ". esztend" +
			(pldav.isSzkv() ? "" : " nem") + " szkv,\nHsvt napja: ");
		int h= pldav.getHsvt();
		if (h <= 31) {
			System.out.println(" mrcius "+h+".");
		} else {
			System.out.println("prilis "+(h-31)+".");
		}
	}
}