/*
	Egy fkat ler osztly
*/
public abstract class Fa implements Evszakok {
	private int eletkor;

	public Fa(int eletkor) {
		this.eletkor = eletkor;
	}

	public Fa() {
		this(0);
	}

	// A korbbi vltozatot talaktottuk, ezentl == helyett equals() hvsokat hasznlunk
	public String getLevele(String evszak) {
		if (evszak.equals("tavasz")) {
			return getLevele(TAVASZ);
		} else if (evszak.equals("nyar")) {
			return getLevele(NYAR);
		} else if (evszak.equals("osz")) {
			return getLevele(OSZ);
		} else if (evszak.equals("tel")) {
			return getLevele(TEL);
		} else return getLevele(-1);
	}

	public abstract String getLevele(int evszak);

	public int getKora() {
		return eletkor;
	}
}