public class Lombhullato extends Fa {
	private String[] tevekenyseg = {
		"A lombhullat fk tavasszal hozzk leveleiket.",
		"A lombhullat fk nyron dsan zldellnek.",
		"A lombhullat fk levelei sszel lehullanak.",
		"A lombhullat fk gai tlen resek."
	};

	public Lombhullato (int eletkor) {
		super(Math.max(0, Math.min(250, eletkor)));
	}

	public Lombhullato() {
		super();
	}

	public String getLevele(int evszak) {
		if (evszak >= TAVASZ && evszak <= TEL) {
			return " "+tevekenyseg[evszak];
		} else {
			return " Ilyen vszakot nem ismerek.";
		}
	}

	public String toString() {
		return "Lombhullat: " + getKora() + " ves.";
	}
}