/*
	Verem osztly
	A vermet egy MERET elem referenciatmbbel reprezentljuk
*/
class Verem {
	// konstans verem mret
	final static public int MERET = 10;
	private Object tarolo[] = new Object[MERET];
	private int index = 0;

	// betesz metdus, egy objektumot a verembe helyez,
	// ha nem sikerl, akkor kivtelt vlt ki
	public void betesz(Object o) {
		try{
			if(index < tarolo.length) {
				tarolo[index++]=o;
			} else {
				throw new VeremMegteltException(o);
			}
		// a kivteleket feldolgoz rsz
		// verem tpus hibk kezelse
		} catch(VeremMegteltException e) {
	   		System.out.println("A(z) " + e.miVolt() + " objektum nem frt a verembe!");
		// minden egyb kivtelt itt kezelnk le
		} catch(Exception e) {
	   		System.out.println("Valamilyen hiba trtnt!");
			// zr tevkenysgek, akkor is lefut, ha kilpnk egy catch gbl
		} finally {
			System.out.println("A betesz metdus lefutott!");
		}
	}

	// a verem listzsa
	public String toString() {
		StringBuffer eredmeny = new StringBuffer();
		for(int i = index - 1; i >= 0; i--) {
			eredmeny.append("\t").append(tarolo[i]).append("\n");
		}
		return eredmeny.toString();
	}
}