/*
	Az OsszetettObjektum osztly egy tglalapokbl ll tmb
	rtelmezett zenetek: konstrukci, kirs elre s htra.
*/
public class OsszetettObjektum {
	// aggregl kapcsolat
	private Teglalap[] teglalapok;

	// konstruktor
	public OsszetettObjektum(int meret) {
		// helyfoglalas
		teglalapok = new Teglalap[meret];
		for(int i = 0; i < teglalapok.length; i++) {
			teglalapok[i] = new Teglalap (i, 2 * i);
		}
	}

	// Az sszetett objektum kirsa
	void kiirasElore() {
		System.out.println("Az sszetett objektum elemei: ");
		for(int i = 0; i < teglalapok.length; i++) {
			System.out.print(teglalapok[i] + " ");
		}
		System.out.println();
	}

	// A szmok kirsa fordtott sorrendben:
	void kiirasVissza() {
		System.out.println("Az sszetett objektum elemei: ");
		for(int i = teglalapok.length - 1; i >= 0; i--) {
			System.out.print(teglalapok[i] + " ");
		}
		System.out.println();
	}
}

