/*
	Csak begyazott osztlyok kaphatnak static minstst
	modifier static not allowed here
*/
public class Kulso {
	public String p;
	protected static String s = "Kulso osztly statikus vdett adattagja";
	public Belso b1;
	public String nyilvanos = "Nyilvnos szveg.";

	// Itt mr hasznlhat a static minst!
	static class Belso {
		private String Bp;
		private static String Bs = "Mg nem futott a Bels konstruktora.";
		// Ugyanolyan nev adattag, mint a befoglal osztlyban
		private String p;

		// this itt a Belso osztly pldnyra vonatkozik
		public Belso(String Bp, String p2) {
			this.Bp = Bp;
			this.p = p2;
		}

		// A tartalmaz osztly staikus adattagjainak elrse problmamentes
		// statikus metdussal
		public static String getKulsoStatic() {
			return s;
		}

		// A bels osztly adattagjt ri el.
		public String getBelso() {
			return p;
		}

		// Trkk: tadjuk a tartalmazt cmz referencit
		public String getKulso(Kulso k)
		{
			return k.p;
		}

		/*
			Ez a trkk itt nem vlik be, mert a this nem statikus vltoz.
			non-static variable this cannot be referenced from a static context
		public String getKulso2() {
			return Kulso.this.p;
		}
		*/

		/*
			Fogalma sincs, hol lehet az aktulis kls pldny adattagja
			non-static variable nyilvanos cannot be referenced from a static context
		public String getKulsoDinamikus() {
			return nyilvanos;
		}*/
	}

	public Kulso() {
		p = "Kls osztly nyilvnos adattagja";
		s = "Kls osztly konstruktora mdostotta az \"s\" rtkt.";
		// Bels statikus adattagjnak elrse
		System.out.println("A bels osztly statikus tagjnak rtke: " + Belso.Bs);
		b1 = new Belso("Belso privt adattag", "Belso \"p\" vltozja");
	}

	// Nem gond elrni a begyazott osztly privt tagjait sem.
	public void setBelso(String s) {
		b1.p = s;
	}
}