/*
	Kompozci - Nemstatikus bels tagosztlyok hasznlata
	A tartalmaz s tartalmazott osztly szoros kapcsolatban ll egymssal, egyms adattagjait klcsnsen elrik.
	Objektum-szint tartalmazsi kapcsolat
*/
public class OsszetettOsztaly {
	// adattagok
	private String adattag, nev;
	// protected az rkls miatt
	protected BelsoOsztaly belso;

		// A nemstatikus bels tagosztly defincija
		// protected az rkls miatt
		protected class BelsoOsztaly {
			private int belsoadat;

			//konstruktor
			BelsoOsztaly() {
				belsoadat = 120;
			}

			public String getString() {
				return "BelsoOsztaly: getString mkdik, tartalmaz osztly elrse: " + adattag;
			}

			public String getAnotherString() {
					return "BelsoOsztaly: getAnotherString rtke: Nv = " + nev;
			}
		}

	// OsszetettOsztaly konstruktora
	public OsszetettOsztaly() {
		adattag = "Ez az sszetett osztly privt adattagja!";
		nev = "Jani";
		belso = new BelsoOsztaly();
	}

	public void kiir() {
		System.out.println(belso.getString());
		System.out.println(belso.getAnotherString());
		System.out.println("Bels privt adattag elrse: " + belso.belsoadat);
	}
}