/*
	Veremkezels egyirnyban lncolt listval
*/
public class Verem {
	private Elem elso;

	private static class Elem {
		private Object adat;
		private Elem kovetkezo;

		public Elem(Object tarolando, Elem koveto) {
			adat = tarolando;
			kovetkezo = koveto;
		}
	}

	public Verem() {
		elso = null;
	}

	public void betesz(Object tarolando) {
		if (elso == null) {
			elso = new Elem(tarolando, null);
		} else {
			elso = new Elem(tarolando, elso);
		}
	}

	public Object kivesz() throws NullPointerException {
		Object tarolt;
		tarolt = elso.adat;
		elso = elso.kovetkezo;
		return tarolt;
	}

	public String toString() {
		StringBuffer sb = new StringBuffer("A verem tartalma:\n");
		Elem akt = elso;
		while(akt != null) {
			sb.append("\n").append(akt.adat.toString());
			akt = akt.kovetkezo;
		}
		return sb.toString();
	}
}