public class MosoSor{
	private Auto[] autok;
	private int kulsoDb,alvazDb,teljesDb,db;
		
	public MosoSor(int maxDb){
		kulsoDb=0;
		alvazDb=0;
		teljesDb=0;
		db=0;
		autok=new Auto[maxDb];
	}
	
	public void addAuto(Auto a){
		autok[db++]=a;
		switch(a.getMosasTipus()){
			case 0: kulsoDb++; break;
			case 1: alvazDb++; break;
			case 3: teljesDb++; break;
		}
	}
	
	public int getOsszDb(){
		return kulsoDb+alvazDb+teljesDb;
		//return db;
	}
	
	public int getKulsoDb(){
		return kulsoDb;
	}
	
	public int getAlvazDb(){
		return alvazDb;
	}
	
	public int getTeljesDb(){
		return teljesDb;
	}
	
	public int getOsszBevetel(){
		return kulsoDb*MosasTipus.KULSO
				+alvazDb*MosasTipus.ALVAZ
				+teljesDb*MosasTipus.TELJES;
	}
}