public class RendelesFej{
	
	private RendelesTetel tetelek[]= new RendelesTetel[10];
	private int darabszam;
	
	private class RendelesTetel{
		Termek t;
		int db;
		
		public RendelesTetel(Termek t, int db){
			this.t=t;
			this.db=db;
		}
		
		public int getReszAr(){
			return t.getAr()*db;
		}
		
		public int getDb(){
			return db;
		}
		
		public Termek getTermek(){
			return t;
		}
		
		public String toString(){
			return t.toString()+" ebbol rendeltek: "+db+" dbot. Ami "+getReszAr()+" Ft.";
		}
	}
	
	public void addRendeles(Termek t, int db ) throws Exception{
		if( darabszam== tetelek.length) throw new Exception("Tmb elemszma elrte a maximumot! ");
		if( t== null) throw new Exception(" Termk nincs megadva! ");
		if( db<1) throw new Exception( "Rossz a megadott mennyisg! ");
		tetelek[darabszam++]= new RendelesTetel(t,db);
	
		}
	
	public String toString(){
		String osszefuz="";
		int reszosszeg=0;
		
		for(int i=0;i<darabszam;++i){
			osszefuz+=tetelek[i]+"\n";
			reszosszeg+=tetelek[i].getReszAr();
		
		}			
		
		return "Termekek: " + osszefuz + " osszeara: " + reszosszeg;
	}
	
	 
	
}