public class RendelesFej{
	private RendelesTetel[] t;
	private int index;
	private String datum;
	
	private class RendelesTetel{
		private Termek t;
		private int db;
		
		public RendelesTetel(Termek t, int db){
			this.t=t;
			this.db=db;			
		}
		
		public double getReszOsszeg(){
			return t.getAr()*db;
		}
		
		public String toString(){
			return t+", amibl "+db+
			"db-ot rendeltek, rszsszeg: "+
			getReszOsszeg();
		}
	}
	
	public RendelesFej(String datum,int db){
		this.datum=datum;
		t=new RendelesTetel[db];
		index=0;
	}
	
	public void addTetel(int db,Termek t){
		RendelesTetel rt=
			new RendelesTetel(t,db);
		this.t[index++]=rt;
	}
	
	public double getTotal(){
		double total=0.;
		for(int i=0;i<index;i++){
			total+=t[i].getReszOsszeg();
		}			
		return total;
	}
	
	public String toString(){
		StringBuffer sb= new StringBuffer();
		sb.append("A rendels dtuma: "+datum+
		"\nTtelek a rendelsben:\n\n");
		for(int i=0;i<index;i++){
			sb.append("\t"+t[i].toString()+"\n");
		}
		sb.append("\nA rendels vgsszege: "+
			getTotal()+"\n\n");
		return sb.toString();
		}
}