/*
	A Msodfok fggvny osztly
	Msodfok fggvny - y rtke ax^2+bx+c
*/
package org.sze.fuggveny;

public class MasodfokuFuggveny extends Fuggveny {
	private double a, b, c;

	public MasodfokuFuggveny() {
		a = 1;
		b = 0;
		c = 0;
	}

	public MasodfokuFuggveny(double a_) {
		a = a_;
		b = 0;
		c = 0;
	}

	public MasodfokuFuggveny(double a_, double b_) {
		a = a_;
		b = b_;
		c = 0;
	}

	public MasodfokuFuggveny(double a_, double b_, double c_) {
		a = a_;
		b = b_;
		c = c_;
	}

	public  double y(double x) {
		return a * x * x + b * x + c;
	}

	public String toString() {
		return "Msodfok fggvny y = " + a + " * x^2 " + b + " * x + " + c;
	}
}