/**
* Teszt osztly, amiben a fggvny osztly s leszrmazottai mkdst vizsgljuk
*/

// A csomag bejelentse
import org.sze.fuggveny.*;

class Teszt {
	public static void main(String [] args) {
		// pldnyok
		KonstansFuggveny k1 = new KonstansFuggveny(3);
		LinearisFuggveny l1 = new LinearisFuggveny(2, 3);
		MasodfokuFuggveny m1 = new MasodfokuFuggveny(2, -2, 1);
		SzinuszFuggveny s1 = new SzinuszFuggveny();

		// kirs
		System.out.println(k1.toString() + " rtke: " + k1.y(3));
		System.out.println(l1.toString() + " rtke: " + l1.y(3));
		System.out.println(m1.toString() + " rtke: " + m1.y(3));
		System.out.println(s1.toString() + " rtke: " + s1.y(3));

		System.out.println("---------------------------\n");

		// sszegzsek pldnyostsai
		FuggvenyOsszeg osszeg1 = new FuggvenyOsszeg(k1, l1);
		FuggvenyOsszeg osszeg2 = new FuggvenyOsszeg(m1, s1);
		// sszeg fv.-ek sszege
		FuggvenyOsszeg osszeg3 = new FuggvenyOsszeg(osszeg1, osszeg2);

		// az ssszegek megjelentse
		System.out.println(osszeg1.toString() + " rtke: " + osszeg1.y(3));
		System.out.println(osszeg2.toString() + " rtke: " + osszeg2.y(3));
		System.out.println(osszeg3.toString() + " rtke: " + osszeg3.y(3));

		// sszetett f() o g() fggvnyek
		OsszetettFuggveny t1 = new OsszetettFuggveny(l1, l1);
		System.out.println(t1.toString() + " rtke: " + t1.y(3));
	}
}