public class Kor extends Sikidom implements Comparable {

	private double r;

	public Kor (double r) {
		this.r = r;
	}

	protected double keruletSzamit() {
		return 2 * r * Math.PI;
	}

	protected double teruletSzamit() {
		return r * r * Math.PI;
	}

	public String toString() {
		return "Kr Sugr: " + r + " Kerlet: " + getKerulet() + " Terlet: " + getTerulet();
	}

	public int compareTo(Object o) {
		double diff = r - ((Kor)o).r;
		if(diff < 0.) {
			return -1;
		} else if(diff == 0.) {
			return 0;
		} else {
			return 1;
		}
		// Mi a hiba?
		// return ((int)(this.keruletSzamit() - ((Kor)o).keruletSzamit()));
	}
}