/*
	Mintaplda klnfle lekpezsek gyakorlati hasznlatra
	Comparator interfsz
*/
import java.util.*;

public class Rendszam {
	private Map rsz;
	// private HashSet elofordulas;

	public Rendszam() {
		rsz = new TreeMap();
		// elofordulas = new HashSet();
	}

	public void addJarmu(String rendszam, String tulajdonos) {
		// if(!elofordulas.add(rendszam)) {
		if(rsz.containsKey(rendszam)) {
			System.out.println("A(z) " + rendszam +
				" rendszm jrm tulajdonost megvltoztattuk.");
			System.out.println("Rgi rtk: " + rsz.get(rendszam) +
				" j rtk: " + tulajdonos);
		}
		rsz.put(rendszam, tulajdonos);
	}

	public void listazKulcsSzerint() {
		Iterator it = rsz.keySet().iterator();
		while(it.hasNext()) {
			String akt = (String)it.next();
			System.out.println(akt + "\t\t" + rsz.get(akt));
		}
	}

	public void listazErtekSzerint() {
		class Adatpar implements Comparable {
			private String kulcs;
			private String nev;

			public Adatpar(String k, String n) {
				kulcs = k;
				nev = n;
			}

			public int compareTo(Object o) {
				return nev.compareTo(((Adatpar)o).nev);
			}

			public String toString() {
				return kulcs + "\t\t" + nev;
			}
		}
		TreeSet nevek = new TreeSet();
		Iterator it = rsz.entrySet().iterator();

		while(it.hasNext()) {
			Map.Entry bejegyzes = (Map.Entry)it.next();
			nevek.add(new Adatpar((String)bejegyzes.getKey(), (String)bejegyzes.getValue()));
		}
		it = nevek.iterator();
		while (it.hasNext()) {
			System.out.println(it.next());
		}
	}

	public void listazSzamSzerint() {
		TreeMap masolat = new TreeMap(szamSorrend);
		masolat.putAll(rsz);
		Iterator it = masolat.keySet().iterator();
		while(it.hasNext()) {
			String akt = (String)it.next();
			System.out.println(akt + "\t\t" + rsz.get(akt));
		}
	}

	static final Comparator szamSorrend = new Comparator() {
		public int compare(Object o1, Object o2) {
			String s1 = ((String)o1).substring(4);
			String s2 = ((String)o2).substring(4);
			return s1.compareTo(s2);
		}
	};

	public static void main(String[] args) {
		Rendszam r1 = new Rendszam();
		r1.addJarmu("BAJ-123", "Balfk Tni");
		r1.addJarmu("BAJ-123", "Sebaj Tbis");
		r1.addJarmu("ABC-123", "Sebaj Tbis");
		r1.addJarmu("HEL-666", "Pokol Bla");
		r1.addJarmu("CIC-001", "Bgys Maca");
		r1.addJarmu("HID-123", "Nemltsz Ignc");
		System.out.println("Adatprok listzsa kulcs szerint:");
		r1.listazKulcsSzerint();
		System.out.println("\nAdatprok listzsa rtk szerint:");
		r1.listazErtekSzerint();
		System.out.println("\nAdatprok listzsa a rendszmban tallhat szm rtke szerint:");
		r1.listazSzamSzerint();
	}
}