/*
	Fjl trlse
	A File osztly hasznlata
*/
import java.io.*;

class Torles {
	// Adott fjl trlse try-catch szerkezettel:
	public static void main(String args[]) {
		try {
			File torlendo = new File("torlendo.txt");
			//a fjl megjelentse URI/URL erforrsknt
			System.err.println(torlendo.toURI());
			//System.err.println(torlendo.toURL());
			if(torlendo.canWrite()) {
				torlendo.delete();
			} else {
				System.err.println("A fjl nem trlhet!");
			}
		} catch (Exception e) {
			System.err.println("Hiba trtnt! " + e);
		}
	}
	// Megads ms mdon:
	/*
	public static void main(String args[]) throws IOException {
		File torlendo = new File("torlendo.txt");
		if(torlendo.canWrite()) {
			torlendo.delete();
		}
	}
	*/
}