/*
	A szabvny bemenetrl rkez adatok msolsa
	a szabvny kimenetre bjtfolyamok segtsgvel
*/
import java.io.*;

public class Olvasas {
	public static void main(String[] args) {
		try {
			int b;
			// Els eset: a bemenet tmsolsa a kimenetre:
			System.out.println("A bemenet tmsolsa a kimenetre enter vgjelig");
			while((b = System.in.read()) != '\n') {
				System.out.write(b);
			}
			/*
				Msodik eset:
				pufferes folyamot nyitok -> a bemenetet tirnytom a folyamba -> visszarom
			*/
			System.out.println("\nA bemenet tmsolsa pufferesen " +
				"a kimenetre enter vgjelig");
			BufferedInputStream in = new BufferedInputStream(System.in);
			while((b = in.read()) != '\n') {
				System.out.write(b);
			}
			System.out.flush();
			// a pufferezett folyam lezrsa
			in.close();
		} catch (IOException e) {
			System.err.println(e);
		}
	}
}