/*
	Szvegfjl tartalmt szavakra bontjuk
*/
import java.io.*;

class SzavakraBontas {
	public static void main(String args[]) throws IOException {
		// A bjt alap folyam karakteress konvertlsval:
		// FileInputStream fis = new FileInputStream("vers.txt");
		// InputStreamReader isr = new InputStreamReader(fis);
		// A folyam szavakra tagolshoz hasznlt osztly 
		// StreamTokenizer st = new StreamTokenizer(isr);
		// StreamTokenizer st = new StreamTokenizer(new FileInputStream("vers.txt"));
		// deprecated
		// StreamTokenizer st = new StreamTokenizer(fis);
		// A legegyszerubb azonban:
		StreamTokenizer st = new StreamTokenizer(new FileReader("vers.txt"));
		// konstansok: TT_WORD, TT_NUMBER, TT_EOL, TT_EOF
		while(st.nextToken() != StreamTokenizer.TT_EOF) {
			// a szveget tartalmaz adatokat sztringg konvertlva kirjuk (sval)
			if(st.ttype == StreamTokenizer.TT_WORD) {
				System.out.println(st.sval);
			}
		}
	}
}