/*
	IO tesztprogram bjt alap adattrolsra s visszaolvassra
*/
import java.io.*;

public class SzoesSzamOlvaso {
	private StreamTokenizer bemenet;

	public static void main(String args[]) {
		SzoOlvaso iopelda = new SzoOlvaso();
		//majd kiolvasom a tartalmt
		double ertek;
		String szo;
		ertek = iopelda.szamOlvasas(System.in, 0, 10);
		szo = iopelda.szoOlvasas(System.in);
		
		System.out.println("Ezt olvastuk: " + ertek);
		System.out.println("Ezt olvastuk: " + szo);
		
	}

	public String szoOlvasas(InputStream is) {
		try {
			// a bemenetre is definilok egy olvas folyamot
			bemenet = new StreamTokenizer(new InputStreamReader(is));
			// segdvltoz, ahova aktulisan olvasok
			String szoveg;

			System.out.println("Gpeljen be egy szt!");
			while (bemenet.nextToken() != StreamTokenizer.TT_WORD);
			szoveg = bemenet.sval;
			//System.out.println("Ezt olvastuk: " + szoveg);
			return szoveg;
		// kls try-catch hibakezels
		} catch(IOException e) {
			System.out.println("Szolvas hiba: " + e);
		}
		return null;
	}
	
	public double szamOlvasas(InputStream is, double min, double max) {
		try {
			// a bemenetre is definilok egy olvas folyamot
			bemenet = new StreamTokenizer(new InputStreamReader(is));
			// segdvltoz, ahova aktulisan olvasok
			double szam = Double.NaN;
			System.out.println("Gpeljen be egy szmot a ["+min+", "+max+"] intervallumban!");
			while (true){
				if(bemenet.nextToken() == StreamTokenizer.TT_NUMBER){
					szam = bemenet.nval;
					if( szam >= min && szam <= max) break;
				}
			}
			//System.out.println("Ezt olvastuk: " + szam);
			return szam;
			
		// kls try-catch hibakezels
		} catch(IOException e) {
			System.out.println("Szolvas hiba: " + e);
		}
		return Double.NaN;  //not a number
	}
	
	
}