import java.util.HashSet;

public class Ora implements Comparable<Ora>{
    private String tantargykod;
    private HashSet<Oktato> oktatok;
    private Terem terem;

    public Ora(String tk, Terem t) {
        tantargykod = tk;
        terem = t;
        oktatok = new HashSet<Oktato>();
    }

    public void addOktato(Oktato o) {
        oktatok.add(o);
    }

    public int compareTo(Ora o) {
        return terem.getNev().compareTo(o.terem.getNev());
    }

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("Tantrgykd: ").append(tantargykod);
        sb.append(" Terem: ").append(terem.getNev());
        sb.append(" Oktatk: ");
        for(Oktato o: oktatok) {
            sb.append(o).append(" ");
        }
        return sb.toString();
    }
}