

import java.util.*;
/**
 * Egy jtkos, aki tud k-papr-ollt jtszani
 * @author Varjasi Norbert
 */
public class Jatekos implements Comparable<Jatekos>{
	/**
         * A jtkos neve
         */
	private String nev;
        /**
         * A jtkos sajt vletlenszm genertora 
         */
	private Random veletlen;
	
	/**
         *konstruktor
         */
	public Jatekos(String neve){
		nev = neve;
		veletlen = new Random();
	}
        /**
         * Jtkos ler adatok
         * @return neve
         */
	public String toString(){
            return nev;
        }
	/**
         * A jtkos a bemondskor vlaszt egy vletlen rtket a
         *  k-papr-oll kzl
         */ 
        public Bemondas mutat(){
                switch (veletlen.nextInt(3)){ //vletlen szm a 0,1,2 kzl
                    case 0: return Bemondas.KO;
                    case 1: return Bemondas.PAPIR;
                    default: return Bemondas.OLLO;
                }
   	}
	/**
         * rendezsi segdmetdus
         */
	public int compareTo(Jatekos j){
            return nev.compareTo(j.nev);
        }
}