/*
	Haromszog. java
	Egy a, b, c oldalhosszsgaival adott hromszgrl eldntjk, hogy a hromszg egyenltlensgnek eleget tesz-e, azaz szerkeszthet-e?
*/
 public class Haromszog {

	// adatrejts elve miatt csak az osztly szmra tesszk lthatv a sajt vltozkat
	private double a;
	private double b;
	private double c;

	// Konstruktor a bemen paramterekkel
	public Haromszog(double a_, double b_, double c_) {
		a = a_;
		b = b_;
		c = c_;
	}

	public double getKerulet() {
		return a + b + c;
	}

	public double getTerulet() {
		double s = (a + b + c) / 2.;
		return (Math.sqrt(s * (s - a) * (s - b) * (s - c)));
	}

	// a hromszg egyenltlensg szmt logikai tp. fggvny
	public boolean isSzerkeszthet() {
		return (a + b > c && b + c > a && c + a > b);
	}
}