/*
	Trtszmokat bemutat pldaprogram
	felltlts (overloading, tlterhels), sajt s nyilvnos metdusok
*/
public class Tort3 {

	// szamll, nevez
		private int sz, n; 

		// itt jnnek a tlterhelt konstruktorok
		public Tort3(int sz_, int n_) {
			sz = sz_ ;
			n = n_;
			egyszerusites();
		}

		public Tort3(int sz_ ) {
			sz = sz_ ;
			n = 1;
		}

		public Tort3() {
			sz = 0;
			n = 1;
		}

		public Tort3(Tort3 t) {
			sz = t.sz;
			n = t.n;
		}

		// sajt metdusok def.
		private void egyszerusites() {
			if (n < 0) {
				sz = -sz;
				n = -n;
			}
			if (sz == 0) {
				n = 1;
			} else {
				int o= lnko(Math.abs(sz), n);
				sz /= o;
				n /= o;
			}
		}

		//rekurzv legnagyobb kzs oszt szmts
		private static int lnko(int x, int y) {
			if(x % y != 0) {
				return lnko(y, x%y);
			} else {
				return y;
			}
		}

		// nyilvnos metdusok
		public String vegyesTort() {
			return (n == 1) ? " " + sz : ((sz / n) + " + " + (sz % n) + "/" + n);
		}

		public void szoroz(int x, int y) {
			sz *= x;
			n *= y;
			egyszerusites();
		}

		public void szoroz(int x) {
			szoroz(x, 1);
		}

		public void szoroz(Tort3 t) {
			szoroz(t.sz, t.n);
		}

		public void osztas(int x) {
			szoroz(1, x);
		}

		public void osztas(Tort3 t) {
			szoroz(t.n, t.sz);
		}

		public void hozzaadas(Tort3 t) {
			sz = sz * t.n + t.sz * n;
			n *= t.n;
			egyszerusites();
		};

		public void kivonas(Tort3 t) {
			sz = sz * t.n - t.sz * n;
			n *= t.n;
			egyszerusites();
		};
}