/*
	A StringBuffer osztly bemutatsa
*/
public class StringBufferTeszt {
	public static void main(String args[]) {
		// Stringbufferek:
		System.out.println("Sztring Bufferek - dinamikus szvegkezels:\n");
		// konstrukci - res StringBuffer -ek
		StringBuffer sb1 = new StringBuffer();
		StringBuffer sb2 = new StringBuffer(9);
		// konstrukci sztringgel
		StringBuffer sb3 = new StringBuffer("Alma");
		// a length() a tartalmazott szveg hosszt, a capacity() a StringBuffer-ben rendelkezsre ll helyet jelenti
		int hossz = sb3.length();
		int kapacitas = sb3.capacity();
		System.out.println("sb1 tartalma: " + sb1 + " hossza: " + sb1.length() + 
			" kapacits: " + sb1.capacity());
		System.out.println("sb2 tartalma: " + sb2 + " hossza: " + sb2.length() + 
			" kapacits: " + sb2.capacity());
		System.out.println("sb3 tartalma: " + sb3 + " hossza: " + sb3.length() + 
			" kapacits: " + sb3.capacity());
		System.out.println("---------------------------------------\n");

		// a StringBuffer kibvtse
		sb1.ensureCapacity(20);
		// a kapacitst nem lehet cskkenteni
		sb2.ensureCapacity(5);
		sb3.ensureCapacity(50);
		// hozzfzs
		sb1.append(3.54).append(42);
		char[] kt = {'m', 'e', 'g', 'g', 'y'};
		sb1.append(kt, 1, 3);
		// szveg tmsolsa egy karaktertmbbe (2-3. betig)
		char[] kt2 = new char[10];
		sb1.getChars(1, 3, kt2, 0);
		System.out.println("Kapacitsbvts, sszefzs, msols\n");
		System.out.println("sb1 tartalma: " + sb1 + " hossza: " + sb1.length() + 
			" kapacits: " + sb1.capacity());
		System.out.println("sb2 tartalma: " + sb2 + " hossza: " + sb2.length() + 
			" kapacits: " + sb2.capacity());
		System.out.println("sb3 tartalma: " + sb3 + " hossza: " + sb3.length() + 
			" kapacits: " + sb3.capacity());
		System.out.println("kt2 = " + String.copyValueOf(kt2));
		System.out.println("---------------------------------------\n");

		// A StringBuffer mdosthat
		char regi = sb1.charAt(0);
		sb1.setCharAt(0, 'X');
		System.out.println("Jelek mdostsa, hossz, kapacits cskkentse\n");
		System.out.println("sb1 tartalma: " + sb1 + " hossza: " + sb1.length() + 
			" kapacits: " + sb1.capacity());
		System.out.println("A rgi jel: " + regi + " Az j jel: " + sb1.charAt(0));
		// A StringBuffer tartalmnak rvidtse
		sb1.setLength(6);
		System.out.println("sb1 tartalma: " + sb1 + " hossza: " + sb1.length() + 
			" kapacits: " + sb1.capacity());
		// A StringBuffer kapacitsnak cskkentse
		sb1.trimToSize();
		System.out.println("sb1 tartalma: " + sb1 + " hossza: " + sb1.length() + 
			" kapacits: " + sb1.capacity());
		System.out.println("---------------------------------------\n");

		// Sztringtmbk
		System.out.println("Sztringtmbk\n");
		// tmb megadsa inicializl blokkal
		String[] honapok1 = {"-","janur", "februr", "mrcius",
			"prilis", "mjus", "jnius",
			"jlius", "augusztus", "szeptember",
			"oktber", "november", "december"};
		// megads konstruktorral
		String[] honapok2 = new String[12];
		honapok2[0] = "";
		honapok2[1] = "janur";
		honapok2[2] = "februr";
		honapok2[3] = "mrcius";
		// ...

		System.out.println("Els hnap: " + honapok1[1]);
		System.out.println("Els h els betje: " + honapok1[1].charAt(0)); 
		System.out.println("Februr, mskpp: " + honapok2[2]);
		// Ez a hvs null rtket ad vissza. Ha a referencinak zenetet is szeretnnk kldeni,
		// akkor az futsi hibt okozna - a tmbelemet mg nem adtuk meg!
		System.out.println("prilist mg nem hoztuk ltre: " + honapok2[4]);
		System.out.println("---------------------------------------\n");
	}
}