/*
	Stringek ltrehozsa, mveletek Stringekkel
*/
public class StringTeszt {
	public static void main(String[] args) {
		// Ahogyan eddig a Stringeket ltrehoztuk:
		String ures = "";
		String fa = "Alma";
		String tobbTipusbol = fa + "fa" + 4 + false + Math.PI;
	
		System.out.println("\"Intuitv\" mdon ltrehozott String pldnyok\n");
		System.out.println("res String: " + ures);
		System.out.println("\"fa\" rtke: " + fa);
		System.out.println("Tbb tpus felhasznlsval: " + tobbTipusbol);
		
		// Stringek ltrehozsa pldnyostssal
		ures = new String();
		fa = new String("Barack");
		tobbTipusbol = new String(fa + 'f' + 'a' + 4 + null);

		System.out.println("\nPldnyostssal ltrehozott String objektumok\n");
		System.out.println("res String: " + ures);
		System.out.println("\"fa\" rtke: " + fa);
		System.out.println("Tbb tpus felhasznlsval: " + tobbTipusbol);
	
		// Stringek ltrehozsa karaktertmbbl
		char[] kt = {'M', 'e', 'g', 'g', 'y'};
		String meggy = new String(kt);
		// ggy
		String meggyDarab = new String(kt, 2, 3);
		// A copyValueOf metdus csak karaktertmbkkel hasznlhat.
		String meggyCVO = String.copyValueOf(kt);
		String meggyCVODarab = String.copyValueOf(kt, 2, 3);
	
		System.out.println("\nKaraktertmbbl ltrehozva: " + meggy);
		System.out.println("Nhny jel felhasznlsval: " + meggyDarab);
		System.out.println("copyValueOf() metdussal: " + meggyCVO);
		System.out.println("copyValueOf(), de csak nhny jel: " + meggyCVODarab);
	
		// Stringek bjttmbkbl
		byte[] bt = {65, 66, 67, 68, 69};
		// ABCDE
		String abc = new String(bt);
		// CDE
		String abcDarab = new String(bt, 2, 3);
	
		System.out.println("\nBjttmbbl ltrehozva: " + abc);
		System.out.println("Nhny jel felhasznlsval: " + abcDarab);
	
		// Stringek ellltsa alaptpusokbl
		boolean b = true;
		char c = 'c';
		// Vigyzzunk, nehogy "possible loss of precision" legyen!
		float f = 1.6f;
		// Szinte minden tpussal hvhat a valueOf, akr mg karaktertmbkkel is
		tobbTipusbol = String.valueOf(b) + String.valueOf(c) + String.valueOf(f);
		
		System.out.println("\nboolean + char + float = " + tobbTipusbol);
	
		// Fordtott irny: Stringekbl karakter- s bjttmbk ksztse
		String korte = "Krte";
		// Az egsz String konvertlsa
		kt = korte.toCharArray();
		bt = korte.getBytes();
		char[] sokElemu = new char[10];
		// [NUL][NUL][NUL]rt[NUL][NUL][NUL][NUL][NUL]
		korte.getChars(2, 4, sokElemu, 3);
	
		System.out.println("\nKrte karaktertmbknt: " + String.copyValueOf(kt));
		System.out.println("Krte bjttmbknt: " + new String(bt));
		System.out.print("Tl nagy karaktertmb elemei:\n\t");
		for(int i = 0; i < sokElemu.length; i++) {
			System.out.print(sokElemu[i]);
		}
	
		// sszehasonlts tartalomra
		String nagyMeggy = "MEGGY";
		// false 32
		System.out.println("\n\nMeggy s MEGGY sszehasonlts, kis-nagybet rzkenyen:\n\t" +
			meggy.equals(nagyMeggy) + "\t" + meggy.compareTo(nagyMeggy));
		// true 0
		System.out.println("Meggy s MEGGY sszehasonlts, kis-nagybet figyelmen kvl:\n\t" +
			meggy.equalsIgnoreCase(nagyMeggy) + "\t\t" + meggy.compareToIgnoreCase(nagyMeggy));

		// Kis- s nagybetk kzti talakts
		System.out.println(meggy + " csupa kisbetvel: " + meggy.toLowerCase() +
			"\ns csupa naggyal: " + meggy.toUpperCase());

		/*
			String hossznak lekrdezse
			Figyelem! A tmbkkel ellenttben itt METDUS szolgl a hossz lekrdezsre!
		*/
		System.out.println("\"korte\" hossza: " + korte.length());
		/*
			Adott index karakter kinyerse
			Figyelem! A String egyes karakterei nem mdosthatak!
		*/
		System.out.println("\"korte\" msodik betje: " + korte.charAt(1));
		// Keress
		String almafa = "almafa";
		String mafla = "MAFLA";
		// maf-ot keres, false
		System.out.println("almafa-ban a MAFLA: " + almafa.regionMatches(2, mafla, 0, 3));
		// true
		System.out.println("almafa-ban a MAFLA,  kis-nagybet figyelmen kvl:\n\t" + 
			almafa.regionMatches(true, 2, mafla, 0, 3));
		// 0
		System.out.println("Els 'a' az almafban: " + almafa.indexOf('a'));
		// 3
		System.out.println("Msodik 'a' az almafban: " + almafa.indexOf('a', 1));
		// 2
		System.out.println("Els \"ma\" az almafban: " + almafa.indexOf("ma"));
		// -1
		System.out.println("Msodik \"ma\" az almafban: " + almafa.indexOf("ma", 4));
		// Hasonlan lastIndexOf-fal, eredmny: 5
		System.out.println("Utols 'a' az almafban: " + almafa.lastIndexOf('a'));

		// txt kiterjeszts?
		String fajl = "almafajok.txt";
		System.out.println("Az \"" + fajl + "\" txt kiterjeszts? " + fajl.endsWith(".txt"));
		// Els karakterek: kis- nagybet rzkeny! Megadhat lenne az is, honnan kezdje az ellenrzst
		System.out.println("s \"Alma\"-val kezddik? " + fajl.startsWith("Alma"));
		// Jelek cserje
		System.out.println("Minden 'a'-t 'e'-re cserlve: " + almafa.replace('a', 'e'));
		// Fehr karakterek levgsa
		System.out.println("Fehr karakterek nlkl: " + " \t\n  abc ".trim());
		// Karakterlnc rszei
		System.out.println("Fjlnv: " + fajl.substring(0, fajl.lastIndexOf('.')));
		System.out.println("almafa msodik fele: " + almafa.substring(almafa.length() / 2));
		// sszefzs
		System.out.println("Mikor lesz vge ennek a pldnak? " + "Mo".concat("st!"));
	}
}