public class Tarolo implements Elemek{
	private Kedvenc t[];
	private int index;
	
	public Tarolo(){
		t=new Kedvenc[4];
		index=0;
	}
	
	public void addKedvenc(Kedvenc k){
		if(index==t.length){
			Kedvenc t2[]=new Kedvenc[t.length];
			t2=t;
			t=new Kedvenc[t.length*2];
			int i=0;
			for(Kedvenc kedv: t2){
				t[i++]=kedv;
			}
		}
		
		t[index++]=k;
	}
	
	public void karbantartMindet(){
		for(int i=0;i<index;i++){
			t[i].karbantartas();
		}
	}
	
	public void kenyeztetMindet(){
		for(int i=0;i<index;i++){
			t[i].kenyeztetes();
		}
	}
	
	public Kedvenc getKedvenc(int index) throws Exception{
		if(index>this.index-1) throw new Exception("getKedvenc, "+UTOLSO);
		if(index<0)throw new Exception("getKedvenc, "+ELSO);
		return t[index];
	}
	
	public void setKedvenc(int index, Kedvenc k) throws Exception{
		if(index>this.index-1) throw new Exception("setKedvenc, "+UTOLSO);
		if(index<0)throw new Exception("setKedvenc, "+ELSO);
		t[index]=k;
	}
	
	public void torol(int index) throws Exception{
		if(index>this.index-1) throw new Exception("torol, "+UTOLSO);
		if(index<0)throw new Exception("torol, "+ELSO);
		//t[index]=null;
		for(;index<this.index-1;index++){
			t[index]=t[index+1];
		}
		this.index--;
	}
	
	public void torolMindet(){
		t=new Kedvenc[t.length];
		index=0;
	}
	
	public String toString(){
		return "";
	}
}