// Csak begyazott osztlyok kaphatnak static minstst
// modifier static not allowed here
public class Kulso {
	public String p;
	protected static String s = "Kulso osztly statikus vdett adattagja";
	public Belso b1;
	public String nyilvanos = "Nyilvnos szveg.";

	class Belso {
		private String Bp;
		// Csak statikus bels osztlynak lehet static minsts adattagja vagy metdusa
		// inner classes cannot have static declarations
		// private static String Bs;

		// Ugyanolyan nev adattag, mint a befoglal osztlyban
		private String p;

		// this itt a Belso osztly pldnyra vonatkozik
		public Belso(String Bp, String p2) {
			this.Bp = Bp;
			this.p = p2;
		}

		// public static int getKulso()
		// inner classes cannot have static declarations
		// A tartalmaz osztly adattagjainak elrse problmamentes
		public String getKulsoStatic() {
			return s;
		}

		// A nevek egyezse miatt a bels osztly adattagjt ri el.
		public String getBelso() {
			return p;
		}

		// Trkk: tadjuk a tartalmazt cmz referencit
		public String getKulso(Kulso k) {
			return k.p;
		}

		// Trkk2: az aktulis befoglal pldnyra hivatkozunk
		public String getKulso2() {
			return Kulso.this.p;
		}
	}

	public Kulso() {
		p = "Kls osztly nyilvnos adattagja";
		s = "Kls osztly konstruktora mdostotta az \"s\" rtkt.";
		b1 = new Belso("Belso privt adattag", "Belso \"p\" vltozja");
	}

	// Nem gond elrni a begyazott osztly privt tagjait sem.
	public void setBelso(String s) {
		b1.p = s;
	}
}