/*
	ArrayList s Vector osztlyok tesztje
	Fenti osztlyok mindegyike megvalstja a List interfszt
*/
import java.util.*;

public class DinamikusTombTeszt {
	public static void main(String[] args) {
		Kor kor1 = new Kor(5);
		Kor kor2 = new Kor(10);
		Teglalap t1 = new Teglalap(5, 6);
		Teglalap t2 = new Teglalap(4, 4);

		System.out.println("Dinamikus tmbk tesztje");
		// vagy Vector
		LinkedList tomb = new LinkedList();
		// megadhat a tmb alapmrete is a konstrukciban
		// ArrayList tomb = new ArrayList(10);
		/*
			Note: DinamikusTombTeszt.java uses unchecked or unsafe operations.
			Note: Recompile with -Xlint:unchecked for details.
			Rszletek:
				javac -Xlint:unchecked DinamikusTombTeszt.java
			Megolds: generikus tpusok hasznlata (ld. generics-tutorial.pdf)
				List<Object> tomb = new ArrayList<Object>();
		*/
		System.out.println("A dinamikus tomb indul mrete: " + tomb.size());

		// feltlts
		tomb.add(t1);
		tomb.add(t2);
		tomb.add(t2);
		tomb.add(kor1);
		tomb.add(kor2);
		// indexelt helyre beszrs; figyelem, tlindexels elfordulhat!!!
		tomb.add(3, t1);
		tomb.add(new Kor(1));
		tomb.add(new Teglalap(5,1));
		// ms elemet is betehetnk tetszs szerint
		tomb.add("Ez lesz a dinamikus tmb vge!");
		tomb.remove(2);

		System.out.println("A dinamikus tomb mrete: " + tomb.size());
		// ArrayList kapacitsnak megadsa.
		//tomb.ensureCapacity(500);
		System.out.println("A dinamikus tomb j mrete: " + tomb.size());
		// ArrayList kapacitsnak lecskkentse a tartalmazott elemek szmra.
		//((ArrayList)tomb).trimToSize();
		// tartalmazsvizsglat
		System.out.println("A tomb tartalmazza a t2 objektumot? " + tomb.contains(t2));
		System.out.println("s hnyadik helyen (els elforduls)? " + tomb.indexOf(t2));

		System.out.println("-----------------------------");
		System.out.println("A dinamikus tomb tartalma:");
		// bejrs egyszer ciklussal
		// ahol size() a mret, s a get(i) a tartalmazott objektum elrse
		for(int i = 0; i < tomb.size(); i++) {
			System.out.println(tomb.get(i));
		}
	}
}