/**
	A gyjtemny keretrendszer lncolt listjval megvalstott pnztr osztly.
	Ezentl nem kell foglalkoznunk bels osztlyokkal, horgonyokkal, stb.
	A kd rvidebb lesz, s a hibalehetsgek szma is cskken.
*/

import java.util.LinkedList;

public class PenztarLista extends Penztar {
	private LinkedList lista;

	/** Lncolt lista pldnyostsa. */
	public PenztarLista() {
		super();
		lista = new LinkedList();
	}

	/**
		A pnztr eltt sorban ll vsrlkhoz egy jabb csatlakozik, a megadott rtk termkkel kosarban.
		@param ertek Az gyfl kosarban lv termk rtke.
		@throws Exception Nem vlt ki kivtelt, csak az absztrakt osztlyban tallhat deklarci miatt kerlt bejegyzsre a kivtel.
	*/
	public void ujvasarlo(int ertek) throws Exception {
		lista.add(new Integer(ertek));
		vasarloVarakozik++;
	}

	/**
		A pnztr eltt sorban ll vsrlk kzl az els fizet, majd tvozik.
		@throws Exception Ha a pnztrnl senki nem ll sorban, nincs kinek fizetnie, amit kivtel jelez.
	*/
	public void fizet() throws Exception {
		if(lista.isEmpty()) {
			throw new Exception("A sor res!");
		}
		befolytOsszeg += ((Integer)lista.removeFirst()).intValue();
		vasarloVarakozik--;
		vasarloTavozott++;
	}
}