/*
	HashSet osztly hasznlatt bemutat plda
	Az osztly megvalstja a Set interfszt.
*/
import java.util.*;

public class HashSetTeszt {
	public static void main(String[] args) {
		// a Kor s Teglalap pldnyok is bekerlnek majd egy halmazba
		Kor kor1 = new Kor(5);
		Kor kor2 = new Kor(10);
		Teglalap teglalap1 = new Teglalap(5, 6);
		Teglalap teglalap2 = new Teglalap(4, 4);

		//Halmazok definilsa
		HashSet alakzatok = new HashSet();
		alakzatok.add(kor1);
		// megprblom tbbszr beletenni.
		alakzatok.add(kor1);
		alakzatok.add(kor1);
		alakzatok.add(kor2);
		alakzatok.add(teglalap1);
		alakzatok.add(teglalap2);

		// a halmaz elemeinek kirsa
		System.out.println("Alakzatok halmaza");
		System.out.println(alakzatok);
		System.out.print("A halmaz vajon tartalmazza kor1-et? ");
		System.out.println((alakzatok.contains(kor1)) ? "Igen" : "Nem");
		System.out.println("Alakzatok a trls utn:");
		alakzatok.remove(kor1);
		System.out.println(alakzatok);
		System.out.println("---------------------------\n");

		// betk (Jzsef Attila)
		String szoveg = "Mikor nagyokat tnek rajtunk,\nMilyen j lenne nem tni vissza\n" +
			"Se kzzel, se szval,\nVilgitni a napvilggal,\nElaltatni az jszakval,\n" +
			"Szlni a gyvasg szavval,\nDe sose tni vissza.";
		Set betuk = new HashSet();
		for(int i = 0; i < szoveg.length(); i++) {
			betuk.add(szoveg.charAt(i));
		}
		// a rendezetlen halmaz kirsa
		System.out.println("A\n\"" + szoveg + "\"\nszvegben tallhat betk:");
		System.out.println(betuk);

		/*
			Iterator osztly
			Az itertor segtsgvel az adatszerkezetek bejrhatak fggetlenl attl,
			hogy az milyen trolsi mdszer szerint trolja az adatokat.
		*/
		System.out.println("-----------------------\nElrs Iterator segtsgvel");
		Iterator iterator = betuk.iterator();
		// kirs
		System.out.println("A trolt rtkek:");
		while(iterator.hasNext()) {
			System.out.print(iterator.next() + " ");
		}
		System.out.println();
	}
}