/*
	Egy adott knyvtr sszes llomnynak listzsa
	File, FileFilter osztlyok hasznlata
*/
import java.io.*;

class KonyvtarLista {
	public static void main(String[] args) throws IOException {
		final String fajlVege = ".txt";
		// Teszteljk / s /temp rtkekkel is!
		File konyvtar = new File(".");

		// Nvtelen bels osztly alapjn trtn knyvtrbejrs
		File[] fajlok = konyvtar.listFiles(new FileFilter() {
			// bels osztly metdusa:
			public boolean accept(File utvonal) {
				return (utvonal.isFile() && utvonal.getName().endsWith(fajlVege));
			}
		});
		// kirs
		for(int i = 0; i < fajlok.length; i++) {
			System.out.println(fajlok[i].toString());
		}
	}
}