/**
	A tblzat egy oszlopnak adatait trolni kpes osztly.
	Mivel elre nem tudjuk, hny sorbl fog llni a tblzat, az oszlopban
	lv cellkat dinamikus tmbbel kezeljk.
	A szlessg az adatok formzott megjelentsnl lesz majd fontos.
*/

import java.util.ArrayList;

public class Oszlop {
	private int szelesseg;
	private ArrayList<String> oszlop;

	public Oszlop() {
		szelesseg = 0;
		oszlop = new ArrayList<String>();
	}

	public void addSor(String cella) {
		oszlop.add(cella);
		if(cella.length() > szelesseg) {
			szelesseg = cella.length();
		}
	}

	public String getCella(int index) {
		return (String)oszlop.get(index);
	}

	public int getCellaDb() {
		return oszlop.size();
	}

	public int getSzelesseg() {
		return szelesseg;
	}
}