/*
	IO tesztprogram bjt alap adattrolsra s visszaolvassra
*/
import java.io.*;

public class SzoOlvaso {
	private StreamTokenizer bemenet;

	public static void main(String args[]) {
		SzoOlvaso iopelda = new SzoOlvaso();
		//majd kiolvasom a tartalmt
		iopelda.olvasas(System.in);
	}

	public void olvasas(InputStream is) {
		try {
			// a bemenetre is definilok egy olvas folyamot
			bemenet = new StreamTokenizer(new InputStreamReader(is));
			// segdvltoz, ahova aktulisan olvasok
			String szoveg;

			System.out.println("Gpeljen be egy szt!");
			while (bemenet.nextToken() != StreamTokenizer.TT_WORD);
			szoveg = bemenet.sval;
			System.out.println("Ezt olvastuk: " + szoveg);
		// kls try-catch hibakezels
		} catch(IOException e) {
			System.out.println("Szolvas hiba: " + e);
		}
	}
}