/*
	A program a megadott ULR cmrl pufferezett karakteres folyamba olvas.
	A beolvasott sorokat a standard kimenetre msolja.
*/
import java.net.*;
import java.io.*;

public class URLLista {
	public static void main(String [] args) {
		BufferedReader input = null;
		String st = null;
		try {
			// erforrs megadsa
			URL honlap = new URL("http://szt1.sze.hu/index.html");
			// sszetett folyamkezels
			// URL-lel azonostott erforrs -> bjtfolyam -> karakteres folyam -> pufferezett karakteres folyam. 
			input = new BufferedReader(new InputStreamReader(honlap.openStream()));
			// folyam feldolgozsa
			do {
				st = input.readLine();
				if(st != null) {
					System.out.println(st);
				}
			} while(st != null);
			// folyam lezrsa
			if(input != null) {
				input.close();
			}
		} catch(IOException e) {
			System.out.println(e);
		}
		// Az URL egy-kt extra informcija lekrdezhet
		try {
			// a teljessg kedvrt
			URL honlap1 = new URL("http://szt1.sze.hu:80/java/index.php?op=hazifeladat#12");
			System.out.println("----------------------------------\nURL elemzs:"); 
			System.out.println(" protokoll = " + honlap1.getProtocol());
			System.out.println(" hoszt = " + honlap1.getHost());
			System.out.println(" fjlnv = " + honlap1.getFile());
			System.out.println(" port = " + honlap1.getPort());
			System.out.println(" referencia = " + honlap1.getRef()); 
			System.out.println(" forrs (hoszt+port) = " + honlap1.getAuthority());
			System.out.println(" lekrdezs = " + honlap1.getQuery()); 
		} catch(IOException e) {
			System.out.println(e);
		}
	}
}