import java.util.HashSet;
import java.util.Iterator;

public class Orarend {
    private HashSet[][] beosztas;
    private int het;

    public Orarend(int h) {
        beosztas = new HashSet[7][14];
        for(int n=0; n<beosztas.length; n++) {
            for(int to=0; to<beosztas[0].length; to++) {
                beosztas[n][to] = new HashSet();
            }
        }
        het = h;
    }

    public void addOra(Ora o, int n, int to) {
        beosztas[n][to].add(o);
    }

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        String[] hetNapjai = {"Htf", "Kedd", "Szerda", "Cstrtk",
            "Pntek", "Szombat", "Vasrnap"};
        sb.append("A(z) ").append(het).append(". ht rarendje:\n");
        for(int n=0; n<beosztas.length; n++) {
            sb.append('\t').append(hetNapjai[n]).append(":\n");
            for(int to=0; to<beosztas[0].length; to++) {
                if(!beosztas[n][to].isEmpty()) {
                    sb.append('\t').append(to+1).append(". tantsi rban:\n");
                    Iterator it = beosztas[n][to].iterator();
                    while(it.hasNext()) {
                        sb.append("\t\t").append(it.next()).append('\n');
                    }
                }
            }
        }
        return sb.toString();
    }
}