import java.util.*;
public class Eszkoz implements Comparable{
	private String megnevezes;
	private Date besz_ido;
	private int besz_ar, akt_ar;
	private byte status; //0: leltrban, 1: rossz, 2: leselejtezve
	
	public Eszkoz(String m,Date ido,int ar,byte stat){
		megnevezes=m;
		besz_ido=ido;
		besz_ar=akt_ar=ar;
		status=stat;
	}
	
	public String getNev(){
		return megnevezes;
	}
	
	public byte getStatus(){
		return status;
	}
	
	public int compareTo(Object o){
		return megnevezes.compareTo(((Eszkoz)o).megnevezes);
	}
	
	public void amortizal(int i){
		if((akt_ar-i)<0) akt_ar=0;
		else akt_ar-=i;
	}
	
	public String toString(){
		Calendar naptar = new GregorianCalendar();
		naptar.setTime(besz_ido);
		return "Az eszkz neve: "+megnevezes+", beszerzsi ideje: "+
			naptar.get(Calendar.YEAR)+"."+naptar.get(Calendar.MONTH)+
			"."+naptar.get(Calendar.DATE)+"."+
			", beszerzsi ra: "+besz_ar+", aktulis ra: "+
			akt_ar+", sttusza: "+
			(status==0?"leltrban":(status==1?"rossz":"leselejtezve"));
	}
}