import java.util.*;
import java.io.*;
public class Nyilvantartas{
	private TreeSet lista;
	
	public Nyilvantartas(){
		lista=new TreeSet();
	}
	
	public void rogzit(Eszkoz e){
		lista.add(e);
	}
	
	public void torol(Eszkoz e){
		lista.remove(e);
	}
	
	public void torol(String nev){
		Vector v=keres(nev);
		for(int i=0;i<v.size();i++){
			lista.remove(v.get(i));
		}
	}
	
	public Vector<Eszkoz> keres(String nev){
		Vector<Eszkoz> res=new Vector<Eszkoz>();		
		Iterator it=lista.iterator();
		while(it.hasNext()){
			Eszkoz e=(Eszkoz)it.next();
			if(e.getNev().equals(nev)) res.add(e);
		}		
		return res;
	}
	
	public Vector<Eszkoz> keres(String nev,byte status){
		Vector<Eszkoz> v=keres(nev);
		Vector<Eszkoz> res=new Vector<Eszkoz>();
		for(int i=0;i<v.size();i++)
			if(v.get(i).getStatus()==status)
				res.add(v.get(i));
		return res;
	}
	
	public String toString(){
		StringBuffer sb=new StringBuffer();
		sb.append("Lista nv szerint ABC-ben:\n\n");
		Iterator it=lista.iterator();
		while(it.hasNext()){
			sb.append((Eszkoz)it.next()).append("\n");
		}
		return sb.toString();
	}
	
	public void kiirFajlba(String fajlNev){
		try{
			PrintWriter pw=new PrintWriter(new FileWriter(fajlNev));
			pw.write(toString());
			pw.close();
		}
		catch(Exception ex){
			System.err.println("Hiba trtnt: "+ex);
		}
	}
	
}